PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PSNMP_Message Class Reference

`#include <snmp.h>`

Inherits PASN_Sequence.

Collaboration diagram for PSNMP_Message:
[legend]

## Public Member Functions
| PSNMP_Message (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes
PASN_Integer | m_version
PASN_OctetString | m_community
PSNMP_PDUs | m_pdu
PASN_OctetString | m_data

## Constructor & Destructor Documentation

PSNMP_Message::PSNMP_Message | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass`
| ) |  |

## Member Function Documentation

PObject* PSNMP_Message::Clone | ( |  | ) | const

Comparison PSNMP_Message::Compare | ( | const PObject & | obj | ) | const

PBoolean PSNMP_Message::Decode | ( | PASN_Stream & | strm | ) |

void PSNMP_Message::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX PSNMP_Message::GetDataLength | ( |  | ) | const

void PSNMP_Message::PrintOn | ( | ostream & | strm | ) | const

## Member Data Documentation

PASN_OctetString PSNMP_Message::m_community

PASN_OctetString PSNMP_Message::m_data

PSNMP_PDUs PSNMP_Message::m_pdu

PASN_Integer PSNMP_Message::m_version

The documentation for this class was generated from the following file:

- snmp.h